* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --primary-color: black;
    --primary-acent-color: #1b1b1b;
    --secondary-color: white;
}


body {
    background-color: var(--primary-color);
    color: var(--secondary-color);
}

.lightMode {
    --primary-color: white !important;
    --primary-acent-color: #a4a3a3 !important;
    --secondary-color: black !important;
}

/* ***** UNITILITIES ***** */

.flex {
    display: flex;
}

.flex-column {
    flex-direction: column;
}

.p10 {
    padding: .3vw .5vw .3vw .5vw;
}

.p20 {
    padding: 1.4vw;
}

.round {
    border-radius: .7vw;
}


/* ************** ACTIVE CLASSES ************** */

.songList li.active,
.playList-card.active-playlist,
.playList-folderOpen .playList-card.active-song {
    background-color: var(--secondary-color);
    color: var(--primary-color);
}



/* ***** MAIN CSS STARTED ***** */
/* ***** MAIN CSS STARTED ***** */

.main-container {
    width: 100vw;
    max-width: 100%;
    height: 100vh;
    max-height: 100%;
}


/* ***** SIDEBAR STARTED ***** */

.sidebar {
    width: 25%;
    height: 100vh;
    justify-content: space-between;
    gap: .7vw;

}

.sidebar-header {
    height: 10vh;
    width: 100%;
    background-color: var(--primary-acent-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px 0 20px;
}

.sidebar-header .userBtn {
    padding: 10px 20px;
    background-color: var(--secondary-color);
    border-radius: 10px;
    font-size: 1vw;
    font-weight: 500;
    border: none;
    outline: none;
    margin-left: 20px;
    cursor: pointer;
}

.sidebar-header #register,
.sidebar-header #login:hover {
    background-color: var(--primary-color);
    border: 1px solid var(--secondary-color);
    color: var(--secondary-color);
    transition: .5s ease;
}


.sidebar-header #login,
.sidebar-header #register:hover {
    transition: .5s ease;
    background-color: var(--secondary-color);
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
}

.sidebar-header .modeBtns {
    background-color: var(--primary-color);
    border-radius: 10px;
    padding: 0%;
    display: flex;
    align-items: center;
}


.sidebar-header .modeBtn {
    font-size: 1.3vw;
    padding: 10px;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    border-radius: 10px;
    background-color: var(--primary-color);
    color: var(--secondary-color);
}

.activeMode {
    background-color: var(--secondary-color) !important;
    color: var(--primary-color) !important;

} 

#closeMenu,
#openMenu
{
    display: none;
}

/* ************** SIDEBAR MAIN SCREEN *************** */

.sidebar-main {
    height: 90vh;
    justify-content: space-between;
    background-color: var(--primary-acent-color);
}

.sidebar-main-header {
    height: 10%;
    justify-content: space-between;
    align-items: center;
}

.sidebar-main-header .heading {
    font-size: 1.2vw;
}

.sidebar-main-header .add {
    font-size: 1.8vw;
    font-weight: 900;
    transition: transform ease .5s;
}

.sidebar-main-header .add:hover {
    transition: transform ease .5s;
    transform: rotate(90deg);
    cursor: pointer;
}

.sidebar-main-container {
    background-color: var(--primary-color);
    height: 82%;
    padding: 10px;
    overflow-y: auto;
}

.songList li {
    gap: 10px;
    justify-content: space-between;
    background-color: var(--primary-acent-color);
    border: 1px solid var(--secondary-color);
    padding: 10px;
    align-items: center;
    margin-bottom: 10px;
    cursor: pointer;
}

.songMeta {
    text-align: left;
    flex-direction: column;
    /* background-color: blue; */
    width: 84%;

}

.songList li span {
    font-size: 1.5vw;
    width: 10%;
    /* background-color: red; */
}

/* ************ SIDEBAR FOOTER ***************** */

.sidebar-main-footer {
    /* border: 2px solid green; */
    height: 8%;
    justify-content: space-between;
    align-items: center;
}

.sidebar-main-footer ul {
    height: 100%;
    list-style: none;
    font-size: .8vw;
    justify-content: space-between;
    align-items: center;
}

.sidebar-main-footer ul li {
    transition: color .5s ease;
}

.sidebar-main-footer ul li:hover {
    cursor: pointer;
    transition: color .5s ease;
    color: blue;
}



/* ***** MAIN SCREEN STARTED ***** */

.main-screen {
    width: 75%;
    height: 100vh;
    gap: .7vw;
   padding: .3vw .5vw .3vw 0vw;
}

.main-screen-header {
    width: 100%;
    height: 10vh;
    background-color: var(--primary-acent-color);
    justify-content: space-between;
    align-items: center;
    padding: 0px 15px;
}

.main-screen-header img {
    height: fit-content;
    width: 130px;
}

.main-screen-header nav ul {
    list-style: none;
    display: flex;
    gap: 20px;
}

.main-screen-header nav ul li {
    font-size: 1.1vw;
    cursor: pointer;
    transition: color .5s ease;
}
.main-screen-header nav ul li:hover {
    transition: color .5s ease;
    color: blue;
}



/* ******* Main Screen Container ********* */

.main-screen-container {
    width: 100%;
    height: 74vh;
    background-color: var(--primary-acent-color);
    gap: .7vw;
    padding: 10px;
}

.playList-h {
    /* border: 2px solid red; */
    height: 10%;
    width: 100%;
    align-items: center;
    font-size: 1vw;
}

.playLists-cont {
    height: 90%;
    width: 100%;
    background-color: var(--primary-acent-color);
}

.playLists-cont .playList-folderOpen,
.playLists-cont .playList-folders {
    /* border: 2px solid green; */
    width: 100%;
    height: 45%;
    padding: 10px;
    gap: .5vw;
    overflow-x: auto;
    background-color: var(--primary-color);
    flex-wrap: wrap;
}

#folder-name{
    padding: 10px;
    display: flex;
    align-items: center;
    font-size: 1.2vw;
}

.playList-card {
    /* border: 2px solid blue; */
    height: 100%;
    width: 11.4vw;
    padding: 8px;
    background-color: var(--primary-acent-color);
    position: relative;
    cursor: pointer;
}

.playList-card .card-img {
    overflow: hidden;
    width: 100%;
    /* border: 1px solid yellow; */
    height: 80%;
}

.playList-card .card-img img {
    width: 100%;
    max-width: 100%;
    height: 100%;
    max-height: 100%;
}

.playList-card h4, .playList-card p{
    /* border: 1px solid yellow; */
    height: 20%;
    display: flex;
    align-items: flex-end;
    font-size: 1vw;
}

.playList-card p span {
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.playbtn {
    width: 50px;
    height: 50px;
    position: absolute;
    right: 10%;
    bottom: 0;
    opacity: 0;
    transition: .5s ease;
}

.playList-card:hover .playbtn {
    transition: .5s ease;
    opacity: 1;
    bottom: 20%;
}
.favIcon {
    position: absolute;
    right: 10%;
    bottom: 0;
    opacity: 0;
    font-size: 2vw;
    transition: .5s ease;
}
.playList-card:hover .favIcon {
    transition: .5s ease;
    opacity: 1;
    bottom: 25%;
}

.playbtn img {
    width: 100%;
    height: 100%;
}

.playList-card .card-img img {
    width: 100%;

}

/* **************** STATIC PLAY BAR ********************* */

.main-screen-footer {
    height: 12vh;
    width: 100%;
    background-color: var(--primary-acent-color);
    justify-content: center;
    gap: 20px;
    padding: 10px;
}

.staticPlayBar-top {
    /* border: 2px solid green; */
    gap: 20px;
    align-items: center;
    justify-content: space-between;
}

.staticPlayBar-top span {
    font-size: 1vw;
}

.progress-container {
    width: 100%;
    cursor: pointer;
}

.progress-bar {
    width: 100%;
    height: 6px;
    background: #606060;
    border-radius: 10px;
    position: relative;
}

.progress {
    height: 100%;
    width: 0%;
    background: var(--secondary-color);
    border-radius: 10px;
    transition: width 0.1s linear;
}

.staticPlayBar-bottom {
    justify-content: space-between;
}

.now-playing {
    width: 40%;
}

.controls {
    gap: 20px;
    width: 20%;
}

.controls button {
    background: none;
    border: none;
    font-size: 1.2vw;
    cursor: pointer;
    color: var(--secondary-color);
}

.volume-control {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 8px;
    width: 40%;
}

.volume-control button {
    background-color: transparent;
    outline: none;
    border: none;
}

#volumeSlider {
    width: 100px;
    cursor: pointer;
}

.volume-control input[type="range"] {
    -webkit-appearance: none;
    appearance: none;
    background: #444;
    cursor: pointer;
    width: 100%;
    height: 5px;
}

.volume-control input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    background-color: var(--secondary-color);
    height: 10px;
    width: 10px;
    border-radius: 50%;
}